#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>

QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

class QNetworkAccessManager;
class QTreeWidget;

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

public slots:
    void onReplyFinished();
    void onReplyDestroyed(QObject *re);
    void onTimeout();
    void onNewData();
private:
    Ui::Widget *ui;

    QNetworkAccessManager *nam;
    QTreeWidget *tw;
};
#endif // WIDGET_H
